#include<avr/io.h>
#include "lcd.h"
extern const PBYTE image01[];
extern const PBYTE image02[];

/*************************************************/
void port_test(uint8 volatile *p)
{
	char bit, rep, d;

	bit = 1;
	*p = 0;
	for (rep = 1; rep <= 8; rep++)
	{
		for (d = 0; d < rep; d++)
		{
			*p |= bit;
			DLY;
			*p &= ~bit;
		}
		bit <<= 1;
		delay(10);
	}
}

//************************************************************************* //

int main(void)
{
	uint16 hue;
	// Control
	DDR_CT = OUTS;	// all outputs

	// data
	DDR_HI = OUTS;		// high data port, all outputs
	DDR_LO = OUTS;		// low data port, all outputs

	delay(32768);//100ms

	initialize_display();
	delay(32768);//100ms    

	display_colors();
	hue = RGB(29, 40, 5);
	color_block(120, 20, 30, 160, hue >> 8, hue & 0xFF);

//display two images (xcord,ycord,width,height,image)
	display_bg(55, 55, 14, 16, &image01[0]);
	display_bg(10, 10, 14, 16, &image02[0]);

	while(1)
	{
//		port_test(&LCD_DATA);
//		port_test(&CTRL);
		PORTD ^= 2;		// blinking LED
		delay(0xFFFF);
	}
	
}
